Subject: Re: linux-next: Tree for Jun 3 (fonts.c & vivi)

From: Randy Dunlap <[email-masked]>
Date: Mon, 03 Jun 2013 14:06:03 -0700

On 06/03/13 13:54, Geert Uytterhoeven wrote:
> On Mon, Jun 3, 2013 at 10:34 PM, Randy Dunlap <[email-masked]> wrote:
>> On 06/02/13 23:37, Stephen Rothwell wrote:
>>> Changes since 20130531:
>> on x86_64:
>>
>> warning: (VIDEO_VIVI && USB_SISUSBVGA && SOLO6X10) selects FONT_SUPPORT which has unmet direct dependencies (HAS_IOMEM && VT)
>> warning: (VIDEO_VIVI && FB_VGA16 && FB_S3 && FB_VT8623 && FB_ARK && USB_SISUSBVGA_CON && SOLO6X10) selects FONT_8x16 which has unmet direct dependencies (HAS_IOMEM && VT && FONT_SUPPORT)
> 
> I knew about thet warning. But I thought it was harmless, as none of the font
> code really depends on console support...
> 
>> drivers/built-in.o: In function `vivi_init':
>> vivi.c:(.init.text+0x1a3da): undefined reference to `find_font'
>>
>> when CONFIG_VT is not enabled.
> 
> ... but I missed that drivers/video/console is not used if CONFIG_VT=y.
> Sorry for that.
> 
>> Just make CONFIG_VIDEO_VIVI depend on VT ?
> 
> Does this (whitespace-damaged copy-and-paste) help?

Yes, that works.  Thanks.

Acked-by: Randy Dunlap <[email-masked]>

> --- a/drivers/video/Makefile
> +++ b/drivers/video/Makefile
> @@ -12,7 +12,7 @@ fb-y                              := fbmem.o fbmon.o fbcmap.o
>                                       modedb.o fbcvt.o
>  fb-objs                           := $(fb-y)
> 
> -obj-$(CONFIG_VT)                 += console/
> +obj-y                            += console/
>  obj-$(CONFIG_LOGO)               += logo/
>  obj-y                            += backlight/
> 
> It shouldn't make a difference if nothing inside drivers/video/console
> is enabled,
> as all objects in drivers/video/console/Makefile are conditional.
> 
> BTW, my plan was to move the font code to lib/font, but I haven't done that yet.

-- 
~Randy